import { SelectGroup, SelectValueType, SelectOptionType } from './type';

export declare function isSelectGroup<T extends SelectValueType>(option: SelectOptionType<T> | SelectGroup<T>): option is SelectGroup<T>;
export declare function isSelectOption<T extends SelectValueType>(option: SelectOptionType<T> | SelectGroup<T>): option is SelectOptionType<T>;
export declare function findOptionInGroupsOrOptions<T extends SelectValueType>(options: SelectOptionType<T>[] | SelectGroup<T>[], value: T): SelectOptionType<T> | undefined;
export declare function findNextOptionInGroupsOrOptions<T extends SelectValueType>(options: SelectOptionType<T>[] | SelectGroup<T>[], step: number, value?: T): SelectOptionType<T> | undefined;
